Gaim+ssl

IRIX and IRIX software discussion including open source and commerical offerings.
Forum rules
Any posts concerning pirated software or offering to buy/sell/trade commercial software are subject to removal.
User avatar
SenDep7
Posts: 29
Joined: Mon Jun 23, 2003 5:47 pm
Contact:

Gaim+ssl

Unread postby SenDep7 » Mon Dec 01, 2003 5:52 pm

Well, Once i got ssl working in AOL's official AIM client I wanted to see if Gaim would play that game.

Downloaded latest source...ooo a configure script this should be easy....(nope)

ok, bitch about gtk --disable-gtktest next...
ooo craps out when compiling perl with gcc flags --disable-perl
hrmm, craps out when compiling plugins --disable-plugins

ok...now its working...compile for a 'bout a half hr....then craps with a gtk error again. just for reference i have the latest gtk2.0 installed, the configure script sees it, but bitches that it cant build the test app. Also trying to excplicitly choose the protocals seems to be broken(do i really need napster support?? or MSN??) Also i cant seem to enable the ssl support. the faq says to point configure at mozilla's ssl libs/bits but that didnt seem to do it.

any insight[tm] would be greatly appreciated. And if i get it to build i promise i'll make a tardist and share the wealth.

User avatar
nekonoko
Site Admin
Site Admin
Posts: 8145
Joined: Thu Jan 23, 2003 1:31 am
Location: Pleasanton, California
Contact:

Unread postby nekonoko » Mon Dec 01, 2003 6:07 pm

I've already got one that was sent in, just need to post it. I'll try to get to it tonight.
Twitter: @neko_no_ko
IRIX Release 4.0.5 IP12 Version 06151813 System V
Copyright 1987-1992 Silicon Graphics, Inc.
All Rights Reserved.

User avatar
wolflord
Posts: 603
Joined: Thu Apr 03, 2003 11:31 am
Location: Maryland
Contact:

Unread postby wolflord » Mon Dec 01, 2003 6:16 pm

I had the same problems when building gaim before (with the GTK 2.0 error). Apparently some of the GTK 2.0 devel/headers weren't installed, or atleast not correctly. So a quick reinstall of them made things go really smoothly. The perl problem is just a GCC problem with a few options being used where they shouldn't be. If I remember correctly it was -c or -s with -o under multiple compiles in the same command, or something like that in anycase. Has for the SSL junk, I've not had any luck at all with that, and I can't think of a way around it.
WolfLord - :4D70G: :Octane2:

"Two Minus Three Equals Negative Fun" - Troy McClure

User avatar
nekonoko
Site Admin
Site Admin
Posts: 8145
Joined: Thu Jan 23, 2003 1:31 am
Location: Pleasanton, California
Contact:

Unread postby nekonoko » Mon Dec 01, 2003 7:42 pm

I moved the package over to the download area. This one is from LoWeN:

http://www.nekochan.net/wiki/downloads/gaim-0.72.tar.gz
Twitter: @neko_no_ko
IRIX Release 4.0.5 IP12 Version 06151813 System V
Copyright 1987-1992 Silicon Graphics, Inc.
All Rights Reserved.

LoWeN
Posts: 256
Joined: Thu Aug 28, 2003 11:45 am
Location: Belgium

Unread postby LoWeN » Tue Dec 02, 2003 3:25 am

Hello,

This one is "just" a working version.
I m trying to get gaim-0.74 working as a nice tardist compiled with MIPSpro.
But for the moment no luck... No time, to much stuffs to start and too many errors to correct.
This version is build upon the mozilla freeware nss/nspr.

@+

LoWeN
UX powered

User avatar
SenDep7
Posts: 29
Joined: Mon Jun 23, 2003 5:47 pm
Contact:

Unread postby SenDep7 » Tue Dec 02, 2003 7:30 am

:D YAY! thanks! im assuming that in order for the SSL funtionality i need the Mozilla installed. it also looks like you included the spell checker support. the freeware distro doesnt require it as a dependancy. so i dont have it installed. no biggie just need to install it.


what is gtkspell part of?? and why can't i find it?
Last edited by SenDep7 on Tue Dec 02, 2003 8:13 am, edited 1 time in total.

LoWeN
Posts: 256
Joined: Thu Aug 28, 2003 11:45 am
Location: Belgium

Unread postby LoWeN » Tue Dec 02, 2003 8:01 am

Hello,

I would said before someone says it for me that this not at all a "professionnal" tardist.
This is really a tar.gz
You need a few stuff that are available on nekochan : aspell et gtkspell
You need from the freeware mozilla + gtk2x + dependencies
To install :
unpack my 3 non professional stuff under /opt
use /opt/gaim/bin/gaim.sh

It works well for me with all the protocols.
Audio is working fine.
NAS is implemented but not tested.
And perl/tcl/tk are disabled.
Just can't get them working.

If I find time I will try to do a really serious job with gaim-0.74 with a nice tardist.

@+

LoWeN
UX powered

User avatar
SenDep7
Posts: 29
Joined: Mon Jun 23, 2003 5:47 pm
Contact:

Unread postby SenDep7 » Wed Dec 03, 2003 7:49 pm

still cant find libgtkspell...any ideas?

LoWeN
Posts: 256
Joined: Thu Aug 28, 2003 11:45 am
Location: Belgium

Unread postby LoWeN » Thu Dec 04, 2003 1:21 am

Hello,

I guess you are launching gaim via the binary.
Like all the libraries are at "non standard" place If my memory is correct I have created a gaim.sh script to lauch gaim.
Otherwise you have to adapt the LD_LIBRARYN32_PATH of your shell.
Verify that your LD_LIBRARYN32_PATH include /opt/aspell/lib:/opt/gtkspell/lib:/opt/gaim/lib:/usr/freeware/lib32:/usr/freeware/mozilla


But during that time... I mean yesterday evening I have build gaim-0.74 with MIPSpro C... I will try to make a tardist of it and publish it on nekochan.
I haven't included gtkspell/perl/tcl/tk.
And can't get perl working.
And need tcl 8.3.x.
I don't find gtkspell "usefull" for IM. More a problem than a solution for me.

@+

LoWeN
UX powered

User avatar
SenDep7
Posts: 29
Joined: Mon Jun 23, 2003 5:47 pm
Contact:

Unread postby SenDep7 » Thu Dec 04, 2003 10:13 am

what im saying is that you compiled in support for gtkspell, but for whatever reason, i dont have that lib (i assumumed it was included with gtk1/2 but i guess it isnt) if i could find it i could run the your binary, otherwise the binary is useless.

User avatar
nekonoko
Site Admin
Site Admin
Posts: 8145
Joined: Thu Jan 23, 2003 1:31 am
Location: Pleasanton, California
Contact:

Unread postby nekonoko » Thu Dec 04, 2003 10:21 am

airnorton wrote:still cant find libgtkspell...any ideas?


I haven't tried it so I can't be sure, but does this one not work for you?

http://www.nekochan.net/wiki/downloads/gtkspell-2.0.4.tar.gz
Twitter: @neko_no_ko
IRIX Release 4.0.5 IP12 Version 06151813 System V
Copyright 1987-1992 Silicon Graphics, Inc.
All Rights Reserved.

User avatar
SenDep7
Posts: 29
Joined: Mon Jun 23, 2003 5:47 pm
Contact:

Unread postby SenDep7 » Thu Dec 04, 2003 10:25 am

thanks neko, i didnt think i had seen it on fw.sgi.com.

User avatar
SenDep7
Posts: 29
Joined: Mon Jun 23, 2003 5:47 pm
Contact:

Unread postby SenDep7 » Thu Dec 04, 2003 10:59 am

hrmm, just saw this


"Q:Does Gaim support secure instant messaging (encrypted IMs)?

A:Not natively. Doing secure instant messaging right is a big deal and requires, among other things, an authentication scheme. Simply encrypting your data stream without verifying the party with whom you are chatting is not secure in any way; some other clients offer options like this, but we feel that such measures instill a false sense of security that is more harmful than helpful.

The gaim-e project (http://gaim-e.sourceforge.net/) is working on developing a secure IM framework that uses the GnuPG and the OpenPGP trust model for authentication. If you are serious about secure instant messaging, read the documentation on the "web of trust" model available at http://www.gnupg.org/ and try out"


thats silly!, why even bother with ssl support then???

-still its good to have the lastest build of anything. thanks guys

LoWeN
Posts: 256
Joined: Thu Aug 28, 2003 11:45 am
Location: Belgium

Unread postby LoWeN » Thu Dec 04, 2003 1:23 pm

Hello,

I have created a tardist this time of gaim-0.74 build with MIPSpro.
I have uploaded it on the ftp of neko.
So neko if you can "publish" it.

I just know 1 bug...
If you use the font face it bombs... I must investigate for that....

@+

LoWeN
UX powered

User avatar
nekonoko
Site Admin
Site Admin
Posts: 8145
Joined: Thu Jan 23, 2003 1:31 am
Location: Pleasanton, California
Contact:

Unread postby nekonoko » Thu Dec 04, 2003 3:37 pm

LoWeN wrote:Hello,

I have created a tardist this time of gaim-0.74 build with MIPSpro.
I have uploaded it on the ftp of neko.
So neko if you can "publish" it.

I just know 1 bug...
If you use the font face it bombs... I must investigate for that....

@+

LoWeN


Here you go:

http://www.nekochan.net/wiki/downloads/gaim-0.74.tardist
Twitter: @neko_no_ko
IRIX Release 4.0.5 IP12 Version 06151813 System V
Copyright 1987-1992 Silicon Graphics, Inc.
All Rights Reserved.


Return to “IRIX and Software”

Who is online

Users browsing this forum: Ahrefs [Bot] and 1 guest